Subject: RE: /etc/profile in BASH
From: Earnie Boyd <[email-masked]>
To: "Masterson, Dave" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Fri, 29 Sep 2000 12:30:11 -0700 (PDT)

--- "Masterson, Dave" <[email-masked]> wrote:
> I gotta learn to read more carefully... :-\
> 
> One more time -- having these two lines in /etc/profile means that
> ~/.profile will be (potentially) sourced twice 

IMO, the test for ~/.profile should be removed.

> (~/.bashrc might be as well depending on how the user handles it in >
~/.profile).  

IMO, setup should be modified to put the test for ~/.bashrc in ~/.bash_profile.

> This could have
> unintended consequences where people *add-to* instead of *set* their
> environment variables -- particularly PATH.  This could double the length of
> the PATH variable and slow down access to commands (particularly if one or
> more items on the PATH is a network share).
> 

I agree.  Caution has to be taken.  'Course, caution always has to be taken.

> Also, in order to be compatible with other UNIX system shells (Kshell), a
> user may have setup ~/.profile particularly for KShell and ~/.bash_profile
> particularly for BASH.  Since BASH will not read ~/.profile if it finds
> ~/.bash_profile (or ~/.bash_login), 

I just tested this.  Bash reads both ~/.profile and ~/.bash_profile or
~/.bash_login.  If both ~/.bash_profile and ~/.bash_login are present then only
~/.bash_profile is executed.

Cheers,

=====
Earnie Boyd
mailto:[email-masked]

---         <http://earniesystems.safeshopper.com>         ---
--- Cygwin: POSIX on Windows <http://gw32.freeyellow.com/> ---
---   Minimalist GNU for Windows <http://www.mingw.org/>   ---

__________________________________________________
Do You Yahoo!?
Yahoo! Photos - 35mm Quality Prints, Now Get 15 Free!
http://photos.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]